package com.dahe.examine.adapter

import com.chad.library.adapter.base.BaseQuickAdapter
import com.chad.library.adapter.base.viewholder.BaseViewHolder
import com.dahe.examine.R
import com.dahe.examine.bean.ApplyBean

/**
 * @ClassName ApplyAdapter
 * @Author 用户
 * @Date 2022/1/13 15:18
 * @Description TODO
 */
class ApplyAdapter(layoutResId: Int) : BaseQuickAdapter<ApplyBean, BaseViewHolder>(R.layout.item_apply) {
    override fun convert(holder: BaseViewHolder, item: ApplyBean) {
        holder.setText(R.id.tvTitle,item.enterpriseName)
            .setText(R.id.tvSqs,item.numberOfPassesRequired)
            .setText(R.id.tvSps,item.countyName)
            .setText(R.id.tvTbr,item.enterpriseContact)
            .setText(R.id.tvDh,item.enterpriseContactPhone)
            .setText(R.id.tvGj,item.nationalClassA)
            .setText(R.id.tvCls,item.vehiclesNumber)
            .setText(R.id.tvType,"""(${item.chargeType})""")
            .setTextColorRes(R.id.tvType,if (item.chargeType.contains("收费")) R.color.color_down_time else R.color.color_green)
    }
}